Skip to main content
POST
/
api
/
v1
/
bookings
cURL
curl --request POST \
  --url https://sandbox.api.nkama.ga/api/v1/bookings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "endDate": "2023-12-25",
  "rentAmount": 123,
  "startDate": "2023-12-25",
  "tenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "depositAmount": 123,
  "depositCurrency": "<string>",
  "rentCurrency": "<string>"
}
'
{
  "activatedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "depositAmount": 123,
  "depositCurrency": "<string>",
  "endDate": "2023-12-25",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rentAmount": 123,
  "rentCurrency": "<string>",
  "startDate": "2023-12-25",
  "tenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "terminatedAt": "2023-11-07T05:31:56Z",
  "unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Body

application/json
endDate
string<date>
required
rentAmount
integer<int64>
required
startDate
string<date>
required
tenantUserId
string<uuid>
required
unitId
string<uuid>
required
depositAmount
integer<int64>
depositCurrency
string
rentCurrency
string

Response

201 - */*

Created

activatedAt
string<date-time>
createdAt
string<date-time>
depositAmount
integer<int64>
depositCurrency
string
endDate
string<date>
id
string<uuid>
orgId
string<uuid>
rentAmount
integer<int64>
rentCurrency
string
startDate
string<date>
status
enum<string>
Available options:
DRAFT,
PENDING,
ACTIVE,
CANCELLED,
TERMINATED
tenantUserId
string<uuid>
terminatedAt
string<date-time>
unitId
string<uuid>